/* mobile & small devices responsive */
@media screen and (max-width: 576px) {
    .container{
        width: 95%;
    }
    section{
        margin: 2rem 0;
    }
    .btn{
        font-size: 1rem;
    }
    /* navigation */
    nav{
        flex-direction: column;
        text-align: center;
        justify-content: center;
        gap: 1rem 0;
    }
    a.logo-title {
        font-size: 2rem;
    }

    /* header content */
    .header-content{
        margin: 3.75rem 0;
    }
    h1.header-content-title{
        font-size: 2rem;
    }
    /* banner */
    .banner img{
        height: auto;
    }
    /* feature */
    .features{
        flex-direction: column;
    }
    .feature-images{
        grid-template-columns: auto;
    }
    .feature-content{
        justify-content: center;
        align-items: center;
        text-align: center;
    }
    button.btn.feature-content-btn.primary-color-btn{
        margin: auto;
    }
    /* feature love & enjoy */
    .feature-love-enjoy{
        flex-direction: column;
        text-align: center;
    }
    .feature-love-content h1{
        margin: 0;
    }
    .feature-love-content h1::before{
        display: none;
    }
    .facts-content{
        text-align: center;
        max-width: 100%;
    }
    .facts-images{
        grid-template-columns: 1fr;
    }
}

/* tablet and laptop device responsive */
@media screen and (min-width: 576px) and (max-width: 960px) {
    .container{
        width: 98%;
    }
    /* navigation */
    nav{
        flex-direction: column;
        gap: 1.5rem 0;
    }
    /* header content */
    .header-content{
        margin: 4rem 0;
        max-width: 100%;
    }
    h1.header-content-title{
        font-size: 3rem;
    }
    /* feature */
    .features{
        flex-direction: column;
    }
    .feature-images{
        grid-template-columns: repeat(2, 1fr);
    }
    .feature-content{
        justify-content: center;
        align-items: center;
        text-align: center;
    }
    button.btn.feature-content-btn.primary-color-btn{
        margin: auto;
    }
    /* feature love & enjoy */
    .feature-love-enjoy{
        flex-direction: column;
        text-align: center;
    }
    .feature-love-items{
        grid-template-columns: repeat(2, 1fr);
    }
    .feature-love-content h1{
        margin: 0;
    }
    .feature-love-content h1::before{
        display: none;
    }
    .facts-content{
        text-align: center;
        max-width: 100%;
    }
    .facts-images{
        grid-template-columns: 1fr 1fr;
    }
}